/* Base styles ================ */

html {
  box-sizing: border-box;
  min-width: 300px;
  min-height: 100vh;
  font-size: 100%;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
  -ms-overflow-style: scrollbar;

  @media screen and (max-width: 318px) {
    overflow-x: auto;
  }
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

body {
  min-height: 100vh;
  margin: 0 auto;
  overflow-x: hidden;
  background-color: var(--body-background);
  -webkit-overflow-scrolling: touch;
}

.page {
  display: flex;
  flex-direction: column;
}

.page--locked {
  overflow: hidden;
}

.page__header {
  flex-shrink: 0;
}

.page__wrapper {
  flex-grow: 1;
  padding-top: 150px;

  @media (--desktop-xxl-max) {
    padding-top: 140px;
  }

  @media (--desktop-large-max) {
    padding-top: 128px;
  }

  @media (--laptop-max) {
    padding-top: 101px;
  }

  @media (--tablet-max) {
    padding-top: 101px;
  }
}

.page--blue {

  .page__wrapper {
    position: relative;
    overflow: hidden;
    background-color: var(--color-blue);
    background-image: url("../images/blue_background.jpg");
    background-repeat: no-repeat;
    background-position: 0 100px;
    background-size: 100%;

    @media (--desktop-large-max) {
      background-position: 0 80px;
    }
  }
}

.page--orange-light {

  .page__wrapper {
    position: relative;
    overflow: hidden;
    background-color: #fdd093;
    background-image: url("../images/page_orange_background.jpg");
    background-repeat: no-repeat;
    background-position: right top 150px;
    background-size: contain;
  }
}

.page--orange {

  .page__wrapper {
    position: relative;
    overflow: hidden;
    background-color: #ef7a18;
    background-image: url("../images/orange_dark_background.jpg");
    background-repeat: no-repeat;
    background-position: right top 90px;
    background-size: contain;
  }
}

.page__footer {
  flex-shrink: 0;
}

ul,
ol {
  padding-left: 0;
  margin: 0;
  list-style: none;
}

img,
video {
  max-width: 100%;
  height: auto;
}

input,
textarea {
  -webkit-overflow-scrolling: touch;
}

address {
  font-style: normal;
}

input:not([type = "checkbox"]):not([type = "radio"]),
textarea,
select {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

input[type = "text"],
input[type = "number"],
select,
textarea {
  font-size: var(--text-size-main);
}

mark {
  color: var(--color-primary);
  font-weight: var(--text-font-weight-bold);
  background-color: transparent;
}

::selection {
  background: var(--color-yellow);
}

.clearfix {
  clear: both;

  &::after {
    content: "";
    display: block;
    clear: both;
    height: 0;
    visibility: hidden;
  }
}
/* ================ end base styles */
